summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Wayne Cuddy2022-06-17 22:25:46 +0200
committer Willy Sudiarto Raharjo2022-06-18 04:09:59 +0200
commit0624b75ffa2613db25555552beaf4263ae646189 (patch)
treee1057aa0c608dc4613916eae7a20ac1c3ed6f33b /network
parent88b5b009b0a8fcd0bc382fba00c3a26b00234e8b (diff)
downloadslackbuilds-0624b75ffa2613db25555552beaf4263ae646189.tar.gz
network/paho-mqtt-c: Added (C MQTT Client Library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/paho-mqtt-c/README8
-rw-r--r--network/paho-mqtt-c/paho-mqtt-c.SlackBuild121
-rw-r--r--network/paho-mqtt-c/paho-mqtt-c.info10
-rw-r--r--network/paho-mqtt-c/slack-desc19
4 files changed, 158 insertions, 0 deletions
diff --git a/network/paho-mqtt-c/README b/network/paho-mqtt-c/README
new file mode 100644
index 0000000000..86399f61a2
--- /dev/null
+++ b/network/paho-mqtt-c/README
@@ -0,0 +1,8 @@
+Eclipse Paho C Client Library for the MQTT Protocol
+
+The Paho C client comprises four variant libraries, shared or static:
+
+ paho-mqtt3a - asynchronous (MQTTAsync)
+ paho-mqtt3as - asynchronous with SSL (MQTTAsync)
+ paho-mqtt3c - "classic" / synchronous (MQTTClient)
+ paho-mqtt3cs - "classic" / synchronous with SSL (MQTTClient)
diff --git a/network/paho-mqtt-c/paho-mqtt-c.SlackBuild b/network/paho-mqtt-c/paho-mqtt-c.SlackBuild
new file mode 100644
index 0000000000..b79c2747b6
--- /dev/null
+++ b/network/paho-mqtt-c/paho-mqtt-c.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/bash
+
+# Slackware build script for the PAHO MQTT C Library
+
+# Copyright 2022 Wayne Cuddy wcuddyATgmailDOTcom
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# 2022-06-11
+# - Initial Slackbuild
+#
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=paho-mqtt-c
+SRCNAM=paho.mqtt.c
+VERSION=${VERSION:-1.3.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# No autotools. Use the existing makfile to compile. We'll patch up a
+# few of the directory paths after compilation.
+
+make
+
+# The makefile doesn't create all the necessary directories.
+mkdir -p $PKG/usr $PKG/usr/bin $PKG/usr/lib $PKG/usr/include $PKG/usr/share/man/man1
+
+# override some parameters in the makefile
+prefix=/usr DESTDIR=$PKG LDCONFIG=echo make install-strip
+
+# Make the installed tree "Slackware friendly". I figured this was cleaner
+# than patching the Makefile.
+mv $PKG/usr/lib $PKG/usr/lib64
+mv $PKG/usr/share/man $PKG/usr/man
+rm -rf $PKG/usr/share
+
+mv $PKG/usr/include $PKG/usr/paho-mqtt
+mkdir $PKG/usr/include
+mv $PKG/usr/paho-mqtt $PKG/usr/include
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ docs about.html notice.html edl-v10 epl-v20 README.md LICENSE\
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/paho-mqtt-c/paho-mqtt-c.info b/network/paho-mqtt-c/paho-mqtt-c.info
new file mode 100644
index 0000000000..64ea470ae0
--- /dev/null
+++ b/network/paho-mqtt-c/paho-mqtt-c.info
@@ -0,0 +1,10 @@
+PRGNAM="paho-mqtt-c"
+VERSION="1.3.10"
+HOMEPAGE="https://github.com/eclipse/paho.mqtt.c"
+DOWNLOAD="https://github.com/eclipse/paho.mqtt.c/archive/refs/tags/v1.3.10/paho.mqtt.c-1.3.10.tar.gz"
+MD5SUM="cf0900edfda8fd6214f9070e7f60905b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Wayne Cuddy"
+EMAIL="wcuddyATgmailDOTcom"
diff --git a/network/paho-mqtt-c/slack-desc b/network/paho-mqtt-c/slack-desc
new file mode 100644
index 0000000000..b70ffe008b
--- /dev/null
+++ b/network/paho-mqtt-c/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+paho-mqtt-c: paho-mqtt-c (C MQTT Client Library)
+paho-mqtt-c:
+paho-mqtt-c: This code builds libraries which enable applications to connect to an
+paho-mqtt-c: MQTT broker to publish messages, and to subscribe to topics and
+paho-mqtt-c: receive published messages.
+paho-mqtt-c:
+paho-mqtt-c: Synchronous and various asynchronous programming models are
+paho-mqtt-c: supported.
+paho-mqtt-c:
+paho-mqtt-c: https://github.com/eclipse/paho.mqtt.c
+paho-mqtt-c: